summaryrefslogtreecommitdiff
path: root/cross/build-rootfs.sh
diff options
context:
space:
mode:
authorHyung-Kyu Choi <hk0110.choi@samsung.com>2017-01-05 14:48:10 +0900
committerHyung-Kyu Choi <hk0110.choi@samsung.com>2017-01-05 18:44:14 +0900
commit55a1b2f1ad9c1389712f064bb6cf58e1df71949e (patch)
tree63f9cf7f758253b8a2b32c8bdcd919db6cb5e2ed /cross/build-rootfs.sh
parent165fa5cebf0b937f74855584ca5b658e7e83c41b (diff)
downloadcoreclr-55a1b2f1ad9c1389712f064bb6cf58e1df71949e.tar.gz
coreclr-55a1b2f1ad9c1389712f064bb6cf58e1df71949e.tar.bz2
coreclr-55a1b2f1ad9c1389712f064bb6cf58e1df71949e.zip
Add Tizen rootfs for armel
- This rootfs can be used for CoreCLR, CoreFX and Core-Setup. Signed-off-by: Hyung-Kyu Choi <hk0110.choi@samsung.com>
Diffstat (limited to 'cross/build-rootfs.sh')
-rwxr-xr-xcross/build-rootfs.sh34
1 files changed, 26 insertions, 8 deletions
diff --git a/cross/build-rootfs.sh b/cross/build-rootfs.sh
index 529cc50d1e..6f10c689e7 100755
--- a/cross/build-rootfs.sh
+++ b/cross/build-rootfs.sh
@@ -4,7 +4,7 @@ usage()
{
echo "Usage: $0 [BuildArch] [UbuntuCodeName] [lldbx.y]"
echo "BuildArch can be: arm(default), armel, arm64, x86"
- echo "UbuntuCodeName - optional, Code name for Ubuntu, can be: trusty(default), vivid, wily, xenial. If BuildArch is armel, UbuntuCodeName is ignored."
+ echo "UbuntuCodeName - optional, Code name for Ubuntu, can be: trusty(default), vivid, wily, xenial. If BuildArch is armel, UbuntuCodeName is jessie(default) or tizen."
echo "lldbx.y - optional, LLDB version, can be: lldb3.6(default), lldb3.8"
exit 1
@@ -73,6 +73,16 @@ for i in "$@"
__UbuntuCodeName=jessie
__UbuntuRepo="http://ftp.debian.org/debian/"
;;
+ tizen)
+ if [ "$__BuildArch" != "armel" ]; then
+ echo "Tizen is available only for armel."
+ usage;
+ exit 1;
+ fi
+ __UbuntuCodeName=
+ __UbuntuRepo=
+ __Tizen=tizen
+ ;;
*)
__UnprocessedBuildArgs="$__UnprocessedBuildArgs $i"
;;
@@ -95,10 +105,18 @@ if [ -d "$__RootfsDir" ]; then
rm -rf $__RootfsDir
fi
-qemu-debootstrap --arch $__UbuntuArch $__UbuntuCodeName $__RootfsDir $__UbuntuRepo
-cp $__CrossDir/$__BuildArch/sources.list.$__UbuntuCodeName $__RootfsDir/etc/apt/sources.list
-chroot $__RootfsDir apt-get update
-chroot $__RootfsDir apt-get -f -y install
-chroot $__RootfsDir apt-get -y install $__UbuntuPackages
-chroot $__RootfsDir symlinks -cr /usr
-umount $__RootfsDir/*
+if [[ -n $__UbuntuCodeName ]]; then
+ qemu-debootstrap --arch $__UbuntuArch $__UbuntuCodeName $__RootfsDir $__UbuntuRepo
+ cp $__CrossDir/$__BuildArch/sources.list.$__UbuntuCodeName $__RootfsDir/etc/apt/sources.list
+ chroot $__RootfsDir apt-get update
+ chroot $__RootfsDir apt-get -f -y install
+ chroot $__RootfsDir apt-get -y install $__UbuntuPackages
+ chroot $__RootfsDir symlinks -cr /usr
+ umount $__RootfsDir/*
+elif [ "$__Tizen" == "tizen" ]; then
+ ROOTFS_DIR=$__RootfsDir $__CrossDir/$__BuildArch/tizen-build-rootfs.sh
+else
+ echo "Unsupported target platform."
+ usage;
+ exit 1
+fi